Create a custom response rule
POST /api/v2/organizations/{organization}/projects/{project}/rules/custom-response
POST
/api/v2/organizations/{organization}/projects/{project}/rules/custom-response
Authorizations
Parameters
Path Parameters
organization
required
string
Organization identifier
project
required
string
Project identifier
Request Body required
object
domain
required
Domain patterns (default: any)
Array<string>
[ "test-domain.com", "*.test-domain.com"] name
Rule name
string
Test custom response rule uuid
Rule UUID
string
123e4567-e89b-12d3-a456-426614174000 weight
Rule weight
integer
100 disabled
Whether rule is disabled
boolean
url
required
URL patterns
Array<string>
[ "/maintenance", "/down"] country
Country filter type (country_is, country_is_not, any)
string
country_is country_is
Allowed countries
Array<string>
[ "US", "CA", "GB"] country_is_not
Excluded countries
Array<string>
[ "CN", "RU"] method
Method filter type (method_is, method_is_not, any)
string
method_is method_is
Allowed HTTP methods
Array<string>
[ "GET", "POST"] method_is_not
Excluded HTTP methods
Array<string>
[ "DELETE", "PUT"] ip
IP filter type (ip_is, ip_is_not, any)
string
ip_is ip_is
Allowed IP addresses
Array<string>
[ "192.168.1.0/24", "10.0.0.1"] ip_is_not
Excluded IP addresses
Array<string>
[ "172.16.0.0/12"] custom_response_body
required
Custom response body content
string
<html><body>Custom maintenance page</body></html>